/************************************************************************
 **
 **  @file   vpiececarrousellayer.h
 **  @author Ronan Le Tiec
 **  @date   25 4, 2020
 **
 **  @brief
 **  @copyright
 **  This source code is part of the Valentina project, a pattern making
 **  program, whose allow create and modeling patterns of clothing.
 **  Copyright (C) 2020 Valentina project
 **  <https://gitlab.com/smart-pattern/valentina> All Rights Reserved.
 **
 **  Valentina is free software: you can redistribute it and/or modify
 **  it under the terms of the GNU General Public License as published by
 **  the Free Software Foundation, either version 3 of the License, or
 **  (at your option) any later version.
 **
 **  Valentina is distributed in the hope that it will be useful,
 **  but WITHOUT ANY WARRANTY; without even the implied warranty of
 **  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 **  GNU General Public License for more details.
 **
 **  You should have received a copy of the GNU General Public License
 **  along with Valentina.  If not, see <http://www.gnu.org/licenses/>.
 **
 *************************************************************************/

#ifndef VPIECECARROUSELLAYER_H
#define VPIECECARROUSELLAYER_H

#include <QWidget>
#include "vpuzzlelayer.h"
#include "vpiececarrouselpiece.h"

class VPieceCarrouselLayer : public QWidget
{
    Q_OBJECT
public:
    explicit VPieceCarrouselLayer(VPuzzleLayer *layer, QWidget *parent = nullptr);
    ~VPieceCarrouselLayer();

    void Init();
    void Refresh();

    QList<VPieceCarrouselPiece*> GetCarrouselPieces();

signals:
    void pieceClicked(VPieceCarrouselPiece* carrouselPiece);

public slots:
    void on_PieceClicked(VPieceCarrouselPiece* carrouselPiece);

private:
    Q_DISABLE_COPY(VPieceCarrouselLayer)

    VPuzzleLayer *m_layer;
    QList<VPieceCarrouselPiece*> m_carrouselPieces;

private slots:

};

#endif // VPIECECARROUSELLAYER_H
